aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-17 15:10:18 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-17 15:12:55 +1300
commit06dae018ff0b41bc6140a603f5cbf2b54b2fd3ae (patch)
tree7be425ef1a1eb11ad6f7ff1c8d55bb0f06e0d6d0 /sh/profile.d
parentAdd /j flag to :vimgrep shortcut (diff)
downloaddotfiles-06dae018ff0b41bc6140a603f5cbf2b54b2fd3ae.tar.gz
dotfiles-06dae018ff0b41bc6140a603f5cbf2b54b2fd3ae.zip
Use `command` consistently, silence ShellCheck
ShellCheck (SC2164) is upset about these `cd` commands where the return type isn't being checked, but they're all by design, as they're the last command in the function, and thereby constitute the function's return value implicitly. Otherwise, this commit changes the shrc.d and profile.d subfiles to use the `command` wrapper only where it's actually needed.
Diffstat (limited to 'sh/profile.d')
-rw-r--r--sh/profile.d/options.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/profile.d/options.sh b/sh/profile.d/options.sh
index 58376fb3..c60dd140 100644
--- a/sh/profile.d/options.sh
+++ b/sh/profile.d/options.sh
@@ -13,7 +13,7 @@ options() {
[ -d "$dir" ] && return
# Create the directory and step into it
- command -p mkdir -p -- "$dir" || return
+ mkdir -p -- "$dir" || return
cd -- "$dir" || return
# Write the program's --help output to a file, even if it's empty
@@ -23,7 +23,7 @@ options() {
# Iterate through remaining arguments (desired options), creating files to
# show they're available if found in the help output
for opt do
- command -p grep -q -- \
+ command grep -q -- \
'[^[:alnum:]]--'"$opt"'[^[:alnum:]]' help || continue
touch -- "$opt"
done